1. Old version of OS MAC

Old version of OS MAC

QuestionsCategory: Compatibility/PerformanceOld version of OS MAC
Sarah Bullen-Webb asked 4 months ago

Hi,
My laptop recently broke and now I have to use my old iMac instead. I just tried to download Mailbutler onto it, but it says ‘You have OS Mac OS X 10.11.6 and you need OS X 12 or later.
Can you send me an older version to download please?
Thanks
Sarah

1 Answers
Best Answer
Claire Staff answered 4 months ago

Hello Sarah, 
Thank you for reaching out! Version 2.2.5.3 was the last update (support) we could provide for El Capitan.
2.2.5.3 can be downloaded from https://downloads.mailbutler.io/Mailbutler_2.2.5.3-10577.zip
If you have any problems with this version, I can only advise you to update your MacOS version at this point, I’m afraid.

Your Answer